Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class JbossTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.JbossTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, JbossType<T>

    public class JbossTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, JbossType<T>

This class implements the `jbossType` xsd type

Original Documentation:

The jboss element is the root element of the jboss.xml file. It contains
all the information used by jboss but not described in the ejb-jar.xml file. All of it is
optional. 1- the application assembler can define custom container configurations for the
beans. Standard configurations are provided in standardjboss.xml 2- the deployer can
override the jndi names under which the beans are deployed 3- the deployer can specify
runtime jndi names for resource managers.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`JbossTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`JbossTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AssemblyDescriptorType<JbossType<T>>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<JbossType<T>>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<JbossType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJaccContextId()` Returns the `jacc-context-id` element
`java.lang.String` | `getJmxName()` Returns the `jmx-name` element
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.lang.String` | `getUnauthenticatedPrincipal()` Returns the `unauthenticated-principal` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<JbossType<T>>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`java.lang.Boolean` | `isMissingMethodPermissionsExcludedMode()` Returns the `missing-method-permissions-excluded-mode` element
`LoaderRepositoryType<JbossType<T>>` | `loaderRepository()` If not already created, a new `loader-repository` element will be created and returned.
`JbossType<T>` | `removeAllDescription()` Removes the `description` element
`JbossType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`JbossType<T>` | `removeAllIcon()` Removes all `icon` elements
`JbossType<T>` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`JbossType<T>` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`JbossType<T>` | `removeJaccContextId()` Removes the `jacc-context-id` element
`JbossType<T>` | `removeJmxName()` Removes the `jmx-name` element
`JbossType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`JbossType<T>` | `removeLoaderRepository()` Removes the `loader-repository` element
`JbossType<T>` | `removeMetadataComplete()` Removes the `metadata-complete` attribute
`JbossType<T>` | `removeMissingMethodPermissionsExcludedMode()` Removes the `missing-method-permissions-excluded-mode` element
`JbossType<T>` | `removeResourceManagers()` Removes the `resource-managers` element
`JbossType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`JbossType<T>` | `removeUnauthenticatedPrincipal()` Removes the `unauthenticated-principal` element
`JbossType<T>` | `removeVersion()` Removes the `version` attribute
`JbossType<T>` | `removeWebservices()` Removes the `webservices` element
`ResourceManagersType<JbossType<T>>` | `resourceManagers()` If not already created, a new `resource-managers` element will be created and returned.
`JbossType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`JbossType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`JbossType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`JbossType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`JbossType<T>` | `setJaccContextId(java.lang.String jaccContextId)` If not already created, a new `jacc-context-id` element with the given value will be created.
`JbossType<T>` | `setJmxName(java.lang.String jmxName)` If not already created, a new `jmx-name` element with the given value will be created.
`JbossType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`JbossType<T>` | `setMetadataComplete(java.lang.Boolean metadataComplete)` Sets the `metadata-complete` attribute
`JbossType<T>` | `setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)` If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created.
`JbossType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`JbossType<T>` | `setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)` If not already created, a new `unauthenticated-principal` element with the given value will be created.
`JbossType<T>` | `setVersion(java.lang.String version)` Sets the `version` attribute
`T` | `up()`
`WebservicesType<JbossType<T>>` | `webservices()` If not already created, a new `webservices` element will be created and returned.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbossTypeImpl

    public JbossTypeImpl(T t,
                         java.lang.String nodeName,
                         org.jboss.shrinkwrap.descriptor.spi.Node node)

### JbossTypeImpl

    public JbossTypeImpl(T t,
                         java.lang.String nodeName,
                         org.jboss.shrinkwrap.descriptor.spi.Node node,
                         org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public JbossType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### setDescriptionList

    public JbossType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `JbossType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `JbossType`

### removeAllDescription

    public JbossType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `JbossType<T>`
  Returns:
    list of `description`

### setDisplayName

    public JbossType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### setDisplayNameList

    public JbossType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `JbossType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `JbossType`

### removeAllDisplayName

    public JbossType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `JbossType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public JbossType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### icon

    public IconType<JbossType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `JbossType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<JbossType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `JbossType<T>`
  Returns:
    list of `icon`

### removeLoaderRepository

    public JbossType<T> removeLoaderRepository()

  Removes the `loader-repository` element

  Specified by:
    `removeLoaderRepository` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### loaderRepository

    public LoaderRepositoryType<JbossType<T>> loaderRepository()

  If not already created, a new `loader-repository` element will be created and returned. Otherwise, the existing `loader-repository` element will be returned.

  Specified by:
    `loaderRepository` in interface `JbossType<T>`
  Returns:
    the node defined for the element `loader-repository`

### setJmxName

    public JbossType<T> setJmxName(java.lang.String jmxName)

  If not already created, a new `jmx-name` element with the given value will be created. Otherwise, the existing `jmx-name` element will be updated with the given value.

  Specified by:
    `setJmxName` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeJmxName

    public JbossType<T> removeJmxName()

  Removes the `jmx-name` element

  Specified by:
    `removeJmxName` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getJmxName

    public java.lang.String getJmxName()

  Returns the `jmx-name` element

  Specified by:
    `getJmxName` in interface `JbossType<T>`
  Returns:
    the node defined for the element `jmx-name`

### setSecurityDomain

    public JbossType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeSecurityDomain

    public JbossType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `JbossType<T>`
  Returns:
    the node defined for the element `security-domain`

### setMissingMethodPermissionsExcludedMode

    public JbossType<T> setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)

  If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created. Otherwise, the existing `missing-method-permissions-excluded-mode` element will be updated with the given value.

  Specified by:
    `setMissingMethodPermissionsExcludedMode` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeMissingMethodPermissionsExcludedMode

    public JbossType<T> removeMissingMethodPermissionsExcludedMode()

  Removes the `missing-method-permissions-excluded-mode` element

  Specified by:
    `removeMissingMethodPermissionsExcludedMode` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### isMissingMethodPermissionsExcludedMode

    public java.lang.Boolean isMissingMethodPermissionsExcludedMode()

  Returns the `missing-method-permissions-excluded-mode` element

  Specified by:
    `isMissingMethodPermissionsExcludedMode` in interface `JbossType<T>`
  Returns:
    the node defined for the element `missing-method-permissions-excluded-mode`

### setUnauthenticatedPrincipal

    public JbossType<T> setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)

  If not already created, a new `unauthenticated-principal` element with the given value will be created. Otherwise, the existing `unauthenticated-principal` element will be updated with the given value.

  Specified by:
    `setUnauthenticatedPrincipal` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeUnauthenticatedPrincipal

    public JbossType<T> removeUnauthenticatedPrincipal()

  Removes the `unauthenticated-principal` element

  Specified by:
    `removeUnauthenticatedPrincipal` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getUnauthenticatedPrincipal

    public java.lang.String getUnauthenticatedPrincipal()

  Returns the `unauthenticated-principal` element

  Specified by:
    `getUnauthenticatedPrincipal` in interface `JbossType<T>`
  Returns:
    the node defined for the element `unauthenticated-principal`

### setJndiBindingPolicy

    public JbossType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Specified by:
    `setJndiBindingPolicy` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeJndiBindingPolicy

    public JbossType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Specified by:
    `removeJndiBindingPolicy` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getJndiBindingPolicy

    public java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Specified by:
    `getJndiBindingPolicy` in interface `JbossType<T>`
  Returns:
    the node defined for the element `jndi-binding-policy`

### setJaccContextId

    public JbossType<T> setJaccContextId(java.lang.String jaccContextId)

  If not already created, a new `jacc-context-id` element with the given value will be created. Otherwise, the existing `jacc-context-id` element will be updated with the given value.

  Specified by:
    `setJaccContextId` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### removeJaccContextId

    public JbossType<T> removeJaccContextId()

  Removes the `jacc-context-id` element

  Specified by:
    `removeJaccContextId` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getJaccContextId

    public java.lang.String getJaccContextId()

  Returns the `jacc-context-id` element

  Specified by:
    `getJaccContextId` in interface `JbossType<T>`
  Returns:
    the node defined for the element `jacc-context-id`

### removeWebservices

    public JbossType<T> removeWebservices()

  Removes the `webservices` element

  Specified by:
    `removeWebservices` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### webservices

    public WebservicesType<JbossType<T>> webservices()

  If not already created, a new `webservices` element will be created and returned. Otherwise, the existing `webservices` element will be returned.

  Specified by:
    `webservices` in interface `JbossType<T>`
  Returns:
    the node defined for the element `webservices`

### removeEnterpriseBeans

    public JbossType<T> removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Specified by:
    `removeEnterpriseBeans` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### enterpriseBeans

    public EnterpriseBeansType<JbossType<T>> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Specified by:
    `enterpriseBeans` in interface `JbossType<T>`
  Returns:
    the node defined for the element `enterprise-beans`

### removeAssemblyDescriptor

    public JbossType<T> removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Specified by:
    `removeAssemblyDescriptor` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### assemblyDescriptor

    public AssemblyDescriptorType<JbossType<T>> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Specified by:
    `assemblyDescriptor` in interface `JbossType<T>`
  Returns:
    the node defined for the element `assembly-descriptor`

### removeResourceManagers

    public JbossType<T> removeResourceManagers()

  Removes the `resource-managers` element

  Specified by:
    `removeResourceManagers` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### resourceManagers

    public ResourceManagersType<JbossType<T>> resourceManagers()

  If not already created, a new `resource-managers` element will be created and returned. Otherwise, the existing `resource-managers` element will be returned.

  Specified by:
    `resourceManagers` in interface `JbossType<T>`
  Returns:
    the node defined for the element `resource-managers`

### setVersion

    public JbossType<T> setVersion(java.lang.String version)

  Sets the `version` attribute

  Specified by:
    `setVersion` in interface `JbossType<T>`
  Parameters:
    `version` - the value for the attribute `version`
  Returns:
    the current instance of `JbossType`

### removeVersion

    public JbossType<T> removeVersion()

  Removes the `version` attribute

  Specified by:
    `removeVersion` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### getVersion

    public java.lang.String getVersion()

  Returns the `version` element

  Specified by:
    `getVersion` in interface `JbossType<T>`
  Returns:
    the node defined for the element `version`

### setMetadataComplete

    public JbossType<T> setMetadataComplete(java.lang.Boolean metadataComplete)

  Sets the `metadata-complete` attribute

  Specified by:
    `setMetadataComplete` in interface `JbossType<T>`
  Parameters:
    `metadataComplete` - the value for the attribute `metadata-complete`
  Returns:
    the current instance of `JbossType`

### removeMetadataComplete

    public JbossType<T> removeMetadataComplete()

  Removes the `metadata-complete` attribute

  Specified by:
    `removeMetadataComplete` in interface `JbossType<T>`
  Returns:
    the current instance of `JbossType`

### isMetadataComplete

    public java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Specified by:
    `isMetadataComplete` in interface `JbossType<T>`
  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD